// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Jupyter Notebook Service",
    "title": "jupyter-server",
    "version": "1.0.0"
  },
  "host": "gateway.mlss.aide",
  "basePath": "/",
  "paths": {
    "/aide/v1/dashboards": {
      "get": {
        "description": "Get dashboard.",
        "summary": "Get the dashboard belongs to a User",
        "operationId": "getDashboards",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetDashboardsResponse"
            }
          },
          "403": {
            "description": "Forbidden",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The dashboard cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks in the given Namespace",
        "operationId": "getNamespacedNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Post Notebooks.",
        "summary": "Create a Notebook in the given Namesapce",
        "operationId": "postNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "description": "The Notebook Request",
            "name": "notebook",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/NewNotebookRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Notebook create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "patch": {
        "description": "Post Notebooks.",
        "summary": "Patch a Notebook in the given Namesapce, Update Yarn Resource Setting",
        "operationId": "PatchNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "description": "The Patch Notebook Request",
            "name": "notebook",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/PatchNotebookRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Notebook create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/notebooks/{notebook}": {
      "delete": {
        "description": "Delete Notebook.",
        "summary": "Delete a Notebook in the given Namespace",
        "operationId": "deleteNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "name": "notebook",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/user/{user}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks in the given Namespace belongs to a User",
        "operationId": "getNamespacedUserNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "name": "user",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "workDir",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/user/{user}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks belongs to a User",
        "operationId": "getUserNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "user",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "Error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "error": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    },
    "GetDashboardsResponse": {
      "type": "object",
      "properties": {
        "cpus": {
          "description": "number of cpu.",
          "type": "string"
        },
        "runningInstances": {
          "description": "number of running instances.",
          "type": "string"
        },
        "totalInstances": {
          "description": "total number of instances.",
          "type": "string"
        }
      }
    },
    "GetNotebooksResponse": {
      "type": "object",
      "required": [
        "notebooks",
        "pages",
        "total"
      ],
      "properties": {
        "notebooks": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Notebook"
          }
        },
        "pages": {
          "description": "page number",
          "type": "string",
          "format": "string"
        },
        "total": {
          "description": "page size",
          "type": "string",
          "format": "string"
        }
      }
    },
    "Image": {
      "type": "object",
      "required": [
        "imageName"
      ],
      "properties": {
        "imageName": {
          "description": "Docker Image Name",
          "type": "string"
        },
        "imageType": {
          "description": "Docker Image Type (default: Standard)\n",
          "type": "string",
          "default": "Standard",
          "enum": [
            "Standard",
            "Custom"
          ]
        }
      }
    },
    "Memory": {
      "type": "object",
      "required": [
        "memoryAmount"
      ],
      "properties": {
        "memoryAmount": {
          "description": "Amount of memory required",
          "type": "number",
          "format": "double"
        },
        "memoryUnit": {
          "description": "Memory unit (default: Mi)\n",
          "type": "string",
          "enum": [
            "Mi",
            "M",
            "Gi",
            "G"
          ]
        }
      }
    },
    "MountInfo": {
      "type": "object",
      "required": [
        "mountType",
        "localPath",
        "size",
        "mountPath"
      ],
      "properties": {
        "accessMode": {
          "description": "Data access mode",
          "type": "string",
          "default": "ReadWriteOnce",
          "enum": [
            "ReadWriteOnce",
            "ReadWriteMany",
            "ReadOnlyMany"
          ]
        },
        "localPath": {
          "description": "Local Path or Kubernetes PV/PVC",
          "type": "string"
        },
        "mountPath": {
          "description": "Container path",
          "type": "string"
        },
        "mountType": {
          "description": "Mount type",
          "type": "string",
          "enum": [
            "New",
            "Existing",
            "None"
          ]
        },
        "size": {
          "description": "Storage capacity",
          "type": "integer"
        },
        "subPath": {
          "description": "subPath of localpath",
          "type": "string"
        }
      }
    },
    "NewNotebookRequest": {
      "type": "object",
      "required": [
        "name",
        "namespace",
        "image",
        "cpu",
        "memory"
      ],
      "properties": {
        "cpu": {
          "description": "Specify the total amount of CPU reserved by user's Notebook. For CPU-Intensive workloads,user can choose more than 1 CPU (e.g 1.5)",
          "type": "number",
          "format": "double"
        },
        "dataVolume": {
          "$ref": "#/definitions/MountInfo"
        },
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "extraResources": {
          "description": "Reserve additional resources,for example, to reserve 2 GPUs: {\"nvidia.com/gup\": 2}\n",
          "type": "string"
        },
        "image": {
          "$ref": "#/definitions/Image"
        },
        "memory": {
          "$ref": "#/definitions/Memory"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Kubernetes Namespace where notebook will be created",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting\n",
          "type": "string"
        },
        "workspaceVolume": {
          "$ref": "#/definitions/MountInfo"
        }
      }
    },
    "Notebook": {
      "type": "object",
      "properties": {
        "cpu": {
          "description": "CPU used",
          "type": "string"
        },
        "dataVolume": {
          "description": "Notebook data volumns mounted",
          "type": "array",
          "items": {
            "$ref": "#/definitions/MountInfo"
          }
        },
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "gpu": {
          "description": "GPU used",
          "type": "string"
        },
        "image": {
          "description": "Docker Image used",
          "type": "string"
        },
        "memory": {
          "description": "Memory used",
          "type": "string"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Namesapce where notebook has been created",
          "type": "string"
        },
        "pods": {
          "description": "Notebook pods",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting",
          "type": "string"
        },
        "service": {
          "description": "Notebook services",
          "type": "string"
        },
        "srtImage": {
          "description": "Image short name",
          "type": "string"
        },
        "status": {
          "description": "Pod status",
          "type": "string"
        },
        "uptime": {
          "description": "Notebook create time",
          "type": "string"
        },
        "user": {
          "description": "Notebook Owner",
          "type": "string"
        },
        "volumns": {
          "description": "Notebook volumns mounted",
          "type": "string"
        },
        "workspaceVolume": {
          "description": "Notebook workspace volumns mounted",
          "type": "object",
          "$ref": "#/definitions/MountInfo"
        }
      }
    },
    "PatchNotebookRequest": {
      "type": "object",
      "required": [
        "namespace",
        "name"
      ],
      "properties": {
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Namesapce where notebook has been created",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting",
          "type": "string"
        }
      }
    }
  },
  "securityDefinitions": {
    "basicAuth": {
      "description": "Basic Athentication credentials for using the API",
      "type": "basic"
    }
  }
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Jupyter Notebook Service",
    "title": "jupyter-server",
    "version": "1.0.0"
  },
  "host": "gateway.mlss.aide",
  "basePath": "/",
  "paths": {
    "/aide/v1/dashboards": {
      "get": {
        "description": "Get dashboard.",
        "summary": "Get the dashboard belongs to a User",
        "operationId": "getDashboards",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetDashboardsResponse"
            }
          },
          "403": {
            "description": "Forbidden",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The dashboard cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks in the given Namespace",
        "operationId": "getNamespacedNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Post Notebooks.",
        "summary": "Create a Notebook in the given Namesapce",
        "operationId": "postNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "description": "The Notebook Request",
            "name": "notebook",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/NewNotebookRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Notebook create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "patch": {
        "description": "Post Notebooks.",
        "summary": "Patch a Notebook in the given Namesapce, Update Yarn Resource Setting",
        "operationId": "PatchNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "description": "The Patch Notebook Request",
            "name": "notebook",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/PatchNotebookRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Notebook create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/notebooks/{notebook}": {
      "delete": {
        "description": "Delete Notebook.",
        "summary": "Delete a Notebook in the given Namespace",
        "operationId": "deleteNamespacedNotebook",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "name": "notebook",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/namespaces/{namespace}/user/{user}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks in the given Namespace belongs to a User",
        "operationId": "getNamespacedUserNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "namespace",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "name": "user",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "workDir",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/aide/v1/user/{user}/notebooks": {
      "get": {
        "description": "Get Notebooks.",
        "summary": "Get the list of Notebooks belongs to a User",
        "operationId": "getUserNotebooks",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "name": "user",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "1",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "10",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetNotebooksResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Notebook cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "Error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "error": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    },
    "GetDashboardsResponse": {
      "type": "object",
      "properties": {
        "cpus": {
          "description": "number of cpu.",
          "type": "string"
        },
        "runningInstances": {
          "description": "number of running instances.",
          "type": "string"
        },
        "totalInstances": {
          "description": "total number of instances.",
          "type": "string"
        }
      }
    },
    "GetNotebooksResponse": {
      "type": "object",
      "required": [
        "notebooks",
        "pages",
        "total"
      ],
      "properties": {
        "notebooks": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Notebook"
          }
        },
        "pages": {
          "description": "page number",
          "type": "string",
          "format": "string"
        },
        "total": {
          "description": "page size",
          "type": "string",
          "format": "string"
        }
      }
    },
    "Image": {
      "type": "object",
      "required": [
        "imageName"
      ],
      "properties": {
        "imageName": {
          "description": "Docker Image Name",
          "type": "string"
        },
        "imageType": {
          "description": "Docker Image Type (default: Standard)\n",
          "type": "string",
          "default": "Standard",
          "enum": [
            "Standard",
            "Custom"
          ]
        }
      }
    },
    "Memory": {
      "type": "object",
      "required": [
        "memoryAmount"
      ],
      "properties": {
        "memoryAmount": {
          "description": "Amount of memory required",
          "type": "number",
          "format": "double"
        },
        "memoryUnit": {
          "description": "Memory unit (default: Mi)\n",
          "type": "string",
          "enum": [
            "Mi",
            "M",
            "Gi",
            "G"
          ]
        }
      }
    },
    "MountInfo": {
      "type": "object",
      "required": [
        "mountType",
        "localPath",
        "size",
        "mountPath"
      ],
      "properties": {
        "accessMode": {
          "description": "Data access mode",
          "type": "string",
          "default": "ReadWriteOnce",
          "enum": [
            "ReadWriteOnce",
            "ReadWriteMany",
            "ReadOnlyMany"
          ]
        },
        "localPath": {
          "description": "Local Path or Kubernetes PV/PVC",
          "type": "string"
        },
        "mountPath": {
          "description": "Container path",
          "type": "string"
        },
        "mountType": {
          "description": "Mount type",
          "type": "string",
          "enum": [
            "New",
            "Existing",
            "None"
          ]
        },
        "size": {
          "description": "Storage capacity",
          "type": "integer"
        },
        "subPath": {
          "description": "subPath of localpath",
          "type": "string"
        }
      }
    },
    "NewNotebookRequest": {
      "type": "object",
      "required": [
        "name",
        "namespace",
        "image",
        "cpu",
        "memory"
      ],
      "properties": {
        "cpu": {
          "description": "Specify the total amount of CPU reserved by user's Notebook. For CPU-Intensive workloads,user can choose more than 1 CPU (e.g 1.5)",
          "type": "number",
          "format": "double"
        },
        "dataVolume": {
          "$ref": "#/definitions/MountInfo"
        },
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "extraResources": {
          "description": "Reserve additional resources,for example, to reserve 2 GPUs: {\"nvidia.com/gup\": 2}\n",
          "type": "string"
        },
        "image": {
          "$ref": "#/definitions/Image"
        },
        "memory": {
          "$ref": "#/definitions/Memory"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Kubernetes Namespace where notebook will be created",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting\n",
          "type": "string"
        },
        "workspaceVolume": {
          "$ref": "#/definitions/MountInfo"
        }
      }
    },
    "Notebook": {
      "type": "object",
      "properties": {
        "cpu": {
          "description": "CPU used",
          "type": "string"
        },
        "dataVolume": {
          "description": "Notebook data volumns mounted",
          "type": "array",
          "items": {
            "$ref": "#/definitions/MountInfo"
          }
        },
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "gpu": {
          "description": "GPU used",
          "type": "string"
        },
        "image": {
          "description": "Docker Image used",
          "type": "string"
        },
        "memory": {
          "description": "Memory used",
          "type": "string"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Namesapce where notebook has been created",
          "type": "string"
        },
        "pods": {
          "description": "Notebook pods",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting",
          "type": "string"
        },
        "service": {
          "description": "Notebook services",
          "type": "string"
        },
        "srtImage": {
          "description": "Image short name",
          "type": "string"
        },
        "status": {
          "description": "Pod status",
          "type": "string"
        },
        "uptime": {
          "description": "Notebook create time",
          "type": "string"
        },
        "user": {
          "description": "Notebook Owner",
          "type": "string"
        },
        "volumns": {
          "description": "Notebook volumns mounted",
          "type": "string"
        },
        "workspaceVolume": {
          "description": "Notebook workspace volumns mounted",
          "type": "object",
          "$ref": "#/definitions/MountInfo"
        }
      }
    },
    "PatchNotebookRequest": {
      "type": "object",
      "required": [
        "namespace",
        "name"
      ],
      "properties": {
        "driverMemory": {
          "description": "User driver memory in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorCores": {
          "description": "User excutor core setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executorMemory": {
          "description": "User excutor memory setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "executors": {
          "description": "User excutors setting in BDAP Yarn Cluster",
          "type": "string"
        },
        "name": {
          "description": "Notebook name",
          "type": "string"
        },
        "namespace": {
          "description": "Namesapce where notebook has been created",
          "type": "string"
        },
        "queue": {
          "description": "BDAP Yarn Queue Setting",
          "type": "string"
        }
      }
    }
  },
  "securityDefinitions": {
    "basicAuth": {
      "description": "Basic Athentication credentials for using the API",
      "type": "basic"
    }
  }
}`))
}
