// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"net/http"
	"strings"

	errors "github.com/go-openapi/errors"
	loads "github.com/go-openapi/loads"
	runtime "github.com/go-openapi/runtime"
	middleware "github.com/go-openapi/runtime/middleware"
	security "github.com/go-openapi/runtime/security"
	spec "github.com/go-openapi/spec"
	strfmt "github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// NewJupyterServerAPI creates a new JupyterServer instance
func NewJupyterServerAPI(spec *loads.Document) *JupyterServerAPI {
	return &JupyterServerAPI{
		handlers:            make(map[string]map[string]http.Handler),
		formats:             strfmt.Default,
		defaultConsumes:     "application/json",
		defaultProduces:     "application/json",
		customConsumers:     make(map[string]runtime.Consumer),
		customProducers:     make(map[string]runtime.Producer),
		ServerShutdown:      func() {},
		spec:                spec,
		ServeError:          errors.ServeError,
		BasicAuthenticator:  security.BasicAuth,
		APIKeyAuthenticator: security.APIKeyAuth,
		BearerAuthenticator: security.BearerAuth,
		JSONConsumer:        runtime.JSONConsumer(),
		JSONProducer:        runtime.JSONProducer(),
		PatchNamespacedNotebookHandler: PatchNamespacedNotebookHandlerFunc(func(params PatchNamespacedNotebookParams) middleware.Responder {
			return middleware.NotImplemented("operation PatchNamespacedNotebook has not yet been implemented")
		}),
		DeleteNamespacedNotebookHandler: DeleteNamespacedNotebookHandlerFunc(func(params DeleteNamespacedNotebookParams) middleware.Responder {
			return middleware.NotImplemented("operation DeleteNamespacedNotebook has not yet been implemented")
		}),
		GetDashboardsHandler: GetDashboardsHandlerFunc(func(params GetDashboardsParams) middleware.Responder {
			return middleware.NotImplemented("operation GetDashboards has not yet been implemented")
		}),
		GetNamespacedNotebooksHandler: GetNamespacedNotebooksHandlerFunc(func(params GetNamespacedNotebooksParams) middleware.Responder {
			return middleware.NotImplemented("operation GetNamespacedNotebooks has not yet been implemented")
		}),
		GetNamespacedUserNotebooksHandler: GetNamespacedUserNotebooksHandlerFunc(func(params GetNamespacedUserNotebooksParams) middleware.Responder {
			return middleware.NotImplemented("operation GetNamespacedUserNotebooks has not yet been implemented")
		}),
		GetUserNotebooksHandler: GetUserNotebooksHandlerFunc(func(params GetUserNotebooksParams) middleware.Responder {
			return middleware.NotImplemented("operation GetUserNotebooks has not yet been implemented")
		}),
		PostNamespacedNotebookHandler: PostNamespacedNotebookHandlerFunc(func(params PostNamespacedNotebookParams) middleware.Responder {
			return middleware.NotImplemented("operation PostNamespacedNotebook has not yet been implemented")
		}),
	}
}

/*JupyterServerAPI Jupyter Notebook Service */
type JupyterServerAPI struct {
	spec            *loads.Document
	context         *middleware.Context
	handlers        map[string]map[string]http.Handler
	formats         strfmt.Registry
	customConsumers map[string]runtime.Consumer
	customProducers map[string]runtime.Producer
	defaultConsumes string
	defaultProduces string
	Middleware      func(middleware.Builder) http.Handler

	// BasicAuthenticator generates a runtime.Authenticator from the supplied basic auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BasicAuthenticator func(security.UserPassAuthentication) runtime.Authenticator
	// APIKeyAuthenticator generates a runtime.Authenticator from the supplied token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	APIKeyAuthenticator func(string, string, security.TokenAuthentication) runtime.Authenticator
	// BearerAuthenticator generates a runtime.Authenticator from the supplied bearer token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BearerAuthenticator func(string, security.ScopedTokenAuthentication) runtime.Authenticator

	// JSONConsumer registers a consumer for a "application/json" mime type
	JSONConsumer runtime.Consumer

	// JSONProducer registers a producer for a "application/json" mime type
	JSONProducer runtime.Producer

	// PatchNamespacedNotebookHandler sets the operation handler for the patch namespaced notebook operation
	PatchNamespacedNotebookHandler PatchNamespacedNotebookHandler
	// DeleteNamespacedNotebookHandler sets the operation handler for the delete namespaced notebook operation
	DeleteNamespacedNotebookHandler DeleteNamespacedNotebookHandler
	// GetDashboardsHandler sets the operation handler for the get dashboards operation
	GetDashboardsHandler GetDashboardsHandler
	// GetNamespacedNotebooksHandler sets the operation handler for the get namespaced notebooks operation
	GetNamespacedNotebooksHandler GetNamespacedNotebooksHandler
	// GetNamespacedUserNotebooksHandler sets the operation handler for the get namespaced user notebooks operation
	GetNamespacedUserNotebooksHandler GetNamespacedUserNotebooksHandler
	// GetUserNotebooksHandler sets the operation handler for the get user notebooks operation
	GetUserNotebooksHandler GetUserNotebooksHandler
	// PostNamespacedNotebookHandler sets the operation handler for the post namespaced notebook operation
	PostNamespacedNotebookHandler PostNamespacedNotebookHandler

	// ServeError is called when an error is received, there is a default handler
	// but you can set your own with this
	ServeError func(http.ResponseWriter, *http.Request, error)

	// ServerShutdown is called when the HTTP(S) server is shut down and done
	// handling all active connections and does not accept connections any more
	ServerShutdown func()

	// Custom command line argument groups with their descriptions
	CommandLineOptionsGroups []swag.CommandLineOptionsGroup

	// User defined logger function.
	Logger func(string, ...interface{})
}

// SetDefaultProduces sets the default produces media type
func (o *JupyterServerAPI) SetDefaultProduces(mediaType string) {
	o.defaultProduces = mediaType
}

// SetDefaultConsumes returns the default consumes media type
func (o *JupyterServerAPI) SetDefaultConsumes(mediaType string) {
	o.defaultConsumes = mediaType
}

// SetSpec sets a spec that will be served for the clients.
func (o *JupyterServerAPI) SetSpec(spec *loads.Document) {
	o.spec = spec
}

// DefaultProduces returns the default produces media type
func (o *JupyterServerAPI) DefaultProduces() string {
	return o.defaultProduces
}

// DefaultConsumes returns the default consumes media type
func (o *JupyterServerAPI) DefaultConsumes() string {
	return o.defaultConsumes
}

// Formats returns the registered string formats
func (o *JupyterServerAPI) Formats() strfmt.Registry {
	return o.formats
}

// RegisterFormat registers a custom format validator
func (o *JupyterServerAPI) RegisterFormat(name string, format strfmt.Format, validator strfmt.Validator) {
	o.formats.Add(name, format, validator)
}

// Validate validates the registrations in the JupyterServerAPI
func (o *JupyterServerAPI) Validate() error {
	var unregistered []string

	if o.JSONConsumer == nil {
		unregistered = append(unregistered, "JSONConsumer")
	}

	if o.JSONProducer == nil {
		unregistered = append(unregistered, "JSONProducer")
	}

	if o.PatchNamespacedNotebookHandler == nil {
		unregistered = append(unregistered, "PatchNamespacedNotebookHandler")
	}

	if o.DeleteNamespacedNotebookHandler == nil {
		unregistered = append(unregistered, "DeleteNamespacedNotebookHandler")
	}

	if o.GetDashboardsHandler == nil {
		unregistered = append(unregistered, "GetDashboardsHandler")
	}

	if o.GetNamespacedNotebooksHandler == nil {
		unregistered = append(unregistered, "GetNamespacedNotebooksHandler")
	}

	if o.GetNamespacedUserNotebooksHandler == nil {
		unregistered = append(unregistered, "GetNamespacedUserNotebooksHandler")
	}

	if o.GetUserNotebooksHandler == nil {
		unregistered = append(unregistered, "GetUserNotebooksHandler")
	}

	if o.PostNamespacedNotebookHandler == nil {
		unregistered = append(unregistered, "PostNamespacedNotebookHandler")
	}

	if len(unregistered) > 0 {
		return fmt.Errorf("missing registration: %s", strings.Join(unregistered, ", "))
	}

	return nil
}

// ServeErrorFor gets a error handler for a given operation id
func (o *JupyterServerAPI) ServeErrorFor(operationID string) func(http.ResponseWriter, *http.Request, error) {
	return o.ServeError
}

// AuthenticatorsFor gets the authenticators for the specified security schemes
func (o *JupyterServerAPI) AuthenticatorsFor(schemes map[string]spec.SecurityScheme) map[string]runtime.Authenticator {

	return nil

}

// Authorizer returns the registered authorizer
func (o *JupyterServerAPI) Authorizer() runtime.Authorizer {

	return nil

}

// ConsumersFor gets the consumers for the specified media types
func (o *JupyterServerAPI) ConsumersFor(mediaTypes []string) map[string]runtime.Consumer {

	result := make(map[string]runtime.Consumer)
	for _, mt := range mediaTypes {
		switch mt {

		case "application/json":
			result["application/json"] = o.JSONConsumer

		}

		if c, ok := o.customConsumers[mt]; ok {
			result[mt] = c
		}
	}
	return result

}

// ProducersFor gets the producers for the specified media types
func (o *JupyterServerAPI) ProducersFor(mediaTypes []string) map[string]runtime.Producer {

	result := make(map[string]runtime.Producer)
	for _, mt := range mediaTypes {
		switch mt {

		case "application/json":
			result["application/json"] = o.JSONProducer

		}

		if p, ok := o.customProducers[mt]; ok {
			result[mt] = p
		}
	}
	return result

}

// HandlerFor gets a http.Handler for the provided operation method and path
func (o *JupyterServerAPI) HandlerFor(method, path string) (http.Handler, bool) {
	if o.handlers == nil {
		return nil, false
	}
	um := strings.ToUpper(method)
	if _, ok := o.handlers[um]; !ok {
		return nil, false
	}
	if path == "/" {
		path = ""
	}
	h, ok := o.handlers[um][path]
	return h, ok
}

// Context returns the middleware context for the jupyter server API
func (o *JupyterServerAPI) Context() *middleware.Context {
	if o.context == nil {
		o.context = middleware.NewRoutableContext(o.spec, o, nil)
	}

	return o.context
}

func (o *JupyterServerAPI) initHandlerCache() {
	o.Context() // don't care about the result, just that the initialization happened

	if o.handlers == nil {
		o.handlers = make(map[string]map[string]http.Handler)
	}

	if o.handlers["PATCH"] == nil {
		o.handlers["PATCH"] = make(map[string]http.Handler)
	}
	o.handlers["PATCH"]["/aide/v1/namespaces/{namespace}/notebooks"] = NewPatchNamespacedNotebook(o.context, o.PatchNamespacedNotebookHandler)

	if o.handlers["DELETE"] == nil {
		o.handlers["DELETE"] = make(map[string]http.Handler)
	}
	o.handlers["DELETE"]["/aide/v1/namespaces/{namespace}/notebooks/{notebook}"] = NewDeleteNamespacedNotebook(o.context, o.DeleteNamespacedNotebookHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/aide/v1/dashboards"] = NewGetDashboards(o.context, o.GetDashboardsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/aide/v1/namespaces/{namespace}/notebooks"] = NewGetNamespacedNotebooks(o.context, o.GetNamespacedNotebooksHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/aide/v1/namespaces/{namespace}/user/{user}/notebooks"] = NewGetNamespacedUserNotebooks(o.context, o.GetNamespacedUserNotebooksHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/aide/v1/user/{user}/notebooks"] = NewGetUserNotebooks(o.context, o.GetUserNotebooksHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/aide/v1/namespaces/{namespace}/notebooks"] = NewPostNamespacedNotebook(o.context, o.PostNamespacedNotebookHandler)

}

// Serve creates a http handler to serve the API over HTTP
// can be used directly in http.ListenAndServe(":8000", api.Serve(nil))
func (o *JupyterServerAPI) Serve(builder middleware.Builder) http.Handler {
	o.Init()

	if o.Middleware != nil {
		return o.Middleware(builder)
	}
	return o.context.APIHandler(builder)
}

// Init allows you to just initialize the handler cache, you can then recompose the middleware as you see fit
func (o *JupyterServerAPI) Init() {
	if len(o.handlers) == 0 {
		o.initHandlerCache()
	}
}

// RegisterConsumer allows you to add (or override) a consumer for a media type.
func (o *JupyterServerAPI) RegisterConsumer(mediaType string, consumer runtime.Consumer) {
	o.customConsumers[mediaType] = consumer
}

// RegisterProducer allows you to add (or override) a producer for a media type.
func (o *JupyterServerAPI) RegisterProducer(mediaType string, producer runtime.Producer) {
	o.customProducers[mediaType] = producer
}
